﻿<?xml version="1.0" encoding="utf-8"?>
<html xmlns:MadCap="http://www.madcapsoftware.com/Schemas/MadCap.xsd" MadCap:onlyLocalStylesheets="False">
    <head>
        <link href="../../Resources/TableStyles/Default-Table.css" rel="stylesheet" MadCap:stylesheetType="table" /><title>Uploading Entitlement Associations from CSV</title>
        <link href="../../Resources/Stylesheets/Styles.css" rel="stylesheet" type="text/css" />
    </head>
    <body>
        <h1>Uploading Entitlement Associations from CSV</h1>
        <p>The <strong>Upload Entitlement Associations From CSV</strong> option enables you to establish a parent-child relationship between entitlements using a CSV file.&#160;You can view only one level of the parent-child relationship under the <strong>Child Entitlements</strong> tab.&#160;</p>
        <p>IGA provides a&#160;<a href="../../Resources/Attachments/Entitlement_Association_import.csv">sample CSV file</a>&#160;containing example values for entitlement associations. To upload entitlement associations, download this file to your server, modify its details, and upload it to IGA.&#160;The sample file includes different parameters to specify the&#160;entitlement association&#160;details:</p>
        <ul>
            <li><strong>ENTITLEMENT VALUE</strong>: Specify entitlement values for which you want to establish&#160;parent-child relationships.</li>
        </ul>
        <div class="note" MadCap:autonum="&lt;b&gt;Note&lt;/b&gt;">
            <p class="note">If you wish to use the first row as the heading ensure it is in the proper case as it is case sensitive.</p>
        </div>
        <p>&#160;To upload entitlement associations using CSV, perform the following steps:&#160;</p>
        <ol>
            <li>Click <strong>Admin &gt; Identity Repository &gt; Entitlements &gt; Actions &gt; Upload Entitlement Associations From CSV</strong>.</li>
            <li>In the <strong>Enter Details for Entitlement Association Import&#160;</strong>pop-up window that displays, specify the following parameters.<div class="table-wrap"><table class="TableStyle-Default-Table" style="width: 100%;mc-table-style: url('../../Resources/TableStyles/Default-Table.css');" cellspacing="0"><col class="TableStyle-Default-Table-Column-Column1" /><col class="TableStyle-Default-Table-Column-Column1" /><thead><tr class="TableStyle-Default-Table-Head-Header1"><th class="TableStyle-Default-Table-HeadE-Column1-Header1">Parameter</th><th class="TableStyle-Default-Table-HeadD-Column1-Header1">Description</th></tr></thead><tbody><tr class="TableStyle-Default-Table-Body-Body1"><td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1"><p class="table-text">Data File</p></td><td colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1"><p class="table-text">Upload the CSV file with entitlement details using the&#160;<strong style="text-decoration: none;text-align: left;">Select</strong> button. <br class="atl-forced-newline" style="text-decoration: none;text-align: left;" />After file upload, the file name is displayed.</p></td></tr><tr class="TableStyle-Default-Table-Body-Body1"><td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1"><p class="table-text">System Name</p></td><td colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1"><p class="table-text">Specify the name of the security system for which you are performing the entitlement associations.</p></td></tr><tr class="TableStyle-Default-Table-Body-Body1"><td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1"><p class="table-text">Endpoint</p></td><td colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1"><p class="table-text">Specify the name of the endpoint for which you want to import the entitlement associations.</p></td></tr><tr class="TableStyle-Default-Table-Body-Body1"><td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1"><p class="table-text">Create Entitlement value if not exist</p></td><td colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1"><p class="table-text">Specify whether you want to create a new entitlement value if the value mentioned in the file does not exist.</p><p class="table-text">The options are:</p><ul><li><p class="table-text"><strong>Yes: </strong>Creates a new entitlement value.</p></li><li><p class="table-text"><strong>No:</strong> Does not&#160;create a new entitlement value.</p></li></ul></td></tr><tr class="TableStyle-Default-Table-Body-Body1"><td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1"><p class="table-text">First row as heading</p></td><td colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1"><p class="table-text">Specify whether you want to&#160;use the&#160;first row in the CSV file as the heading.</p><p class="table-text">The options are:</p><ul><li><p class="table-text"><strong>Yes: </strong>Uses the&#160;first row as the heading. For example, in the attached sample&#160;ENTITLEMENT 1, ENTITLEMENT 2, ENTITLEMENT 3, ENTITLEMENT 4, ENTITLEMENT 5 will be considered as the heading if this option is selected.</p></li><li><p class="table-text"><strong>No: </strong>Does not use the first row as the heading.</p></li></ul></td></tr><tr class="TableStyle-Default-Table-Body-Body1"><td colspan="1" class="TableStyle-Default-Table-BodyB-Column1-Body1"><p class="table-text">Delimiter</p></td><td colspan="1" class="TableStyle-Default-Table-BodyA-Column1-Body1"><p class="table-text">Specify the delimiter&#160;to be used in the data file being uploaded. <br class="atl-forced-newline" style="text-decoration: none;text-align: left;" /> The options are: </p><ul><li><p class="table-text">Comma</p></li><li><p class="table-text">Pipe</p></li><li><p class="table-text">Tab</p></li></ul></td></tr></tbody></table></div></li>
            <li>Click <strong>Upload and Preview</strong>.<br /><img src="../../Resources/Images/43.png" style="border-left-style: solid;border-left-width: 1px;border-left-color: ;border-right-style: solid;border-right-width: 1px;border-right-color: ;border-top-style: solid;border-top-width: 1px;border-top-color: ;border-bottom-style: solid;border-bottom-width: 1px;border-bottom-color: ;" /><br /></li>
            <li>In <strong>Upload Entitlement Association Preview</strong>&#160;page that displays, click <strong>Import Now</strong>.<br />If you have selected <strong>First row as heading</strong> as <strong>No</strong>, manually map the entitlement file fields to the database table fields, select the entitlement type and click <strong>Import Now</strong>.<br /></li>
            <li>
                <p class="auto-cursor-target">If the upload is successful, the uploaded record details are populated in the&#160;Entitlement Association Upload Details&#160;page.<br /><img src="../../Resources/Images/44.png" style="border-left-style: solid;border-left-width: 1px;border-left-color: ;border-right-style: solid;border-right-width: 1px;border-right-color: ;border-top-style: solid;border-top-width: 1px;border-top-color: ;border-bottom-style: solid;border-bottom-width: 1px;border-bottom-color: ;" /><br /></p>
            </li>
            <li>Go to&#160;<strong>Admin &gt; Identity Repository &gt; Entitlements &gt; Other Entitlement Details &gt; Parent&#160;Entitlement</strong> to view the parent entitlement details you uploaded using the CSV file. For example, in the attached sample the mapping will be as shown below:
				<div class="table-wrap"><table class="TableStyle-Default-Table" style="mc-table-style: url('../../Resources/TableStyles/Default-Table.css');width: 100%;" cellspacing="0"><col class="TableStyle-Default-Table-Column-Column1" /><col class="TableStyle-Default-Table-Column-Column1" /><thead><tr class="TableStyle-Default-Table-Head-Header1"><th class="TableStyle-Default-Table-HeadE-Column1-Header1">Parent</th><th class="TableStyle-Default-Table-HeadD-Column1-Header1">Child</th></tr></thead><tbody><tr class="TableStyle-Default-Table-Body-Body1"><td class="TableStyle-Default-Table-BodyE-Column1-Body1"><p class="table-text">Entimport1</p></td><td class="TableStyle-Default-Table-BodyD-Column1-Body1"><p class="table-text">Entimport2</p></td></tr><tr class="TableStyle-Default-Table-Body-Body1"><td class="TableStyle-Default-Table-BodyE-Column1-Body1"><p class="table-text">Entimport2</p></td><td class="TableStyle-Default-Table-BodyD-Column1-Body1"><p class="table-text">Entimport3</p></td></tr><tr class="TableStyle-Default-Table-Body-Body1"><td class="TableStyle-Default-Table-BodyE-Column1-Body1"><p class="table-text">Entimport3</p></td><td class="TableStyle-Default-Table-BodyD-Column1-Body1"><p class="table-text">Entimport4</p></td></tr><tr class="TableStyle-Default-Table-Body-Body1"><td colspan="1" class="TableStyle-Default-Table-BodyB-Column1-Body1"><p class="table-text">Entimport4</p></td><td colspan="1" class="TableStyle-Default-Table-BodyA-Column1-Body1"><p class="table-text">Entimport5</p></td></tr></tbody></table></div><p>But only&#160;one level of the parent-child relationship as shown below:</p><p><img src="../../Resources/Images/45.png" style="border-left-style: solid;border-left-width: 1px;border-left-color: ;border-right-style: solid;border-right-width: 1px;border-right-color: ;border-top-style: solid;border-top-width: 1px;border-top-color: ;border-bottom-style: solid;border-bottom-width: 1px;border-bottom-color: ;" /></p></li>
            <li>
                <p>Go to&#160;<strong>Admin &gt; Identity Repository &gt; Entitlements &gt; Child &gt; Entitlement </strong>to view the child entitlements associated with the parent.&#160;For example, in the attached sample the mapping for Entimport1 the child entitlement is Entimport2. Only&#160;one level of the parent-child relationship as shown below:</p>
                <p>
                    <img src="../../Resources/Images/46.png" style="border-left-style: solid;border-left-width: 1px;border-left-color: ;border-right-style: solid;border-right-width: 1px;border-right-color: ;border-top-style: solid;border-top-width: 1px;border-top-color: ;border-bottom-style: solid;border-bottom-width: 1px;border-bottom-color: ;" />
                </p>
            </li>
        </ol>
    </body>
</html>